Contributing to qstack-client
=============================

See also [Development Workflow][development-workflow].

This reposotory is maintained by Team U&I. Feel free to drop by at
[#team-ui][slack#team-ui] on slack if you need any help.

[slack#team-ui]: https://greenqloud.slack.com/messages/team-ui
[development-workflow]: https://confluence.greenqloud.com/display/DEV/Development+Workflow

Type checker
------------

This project uses [flow][flow] as type checker. Make sure your code
passes the type checker by running:

```bash
npx flow-typed install    # Only needed after an npm install
npm run type
```

[flow]: https://flow.org/

Unit tests
----------

If applicable, try to write unit tests that cover your changes. If you
are editing `foo/bar.js` the unit tests should go in `foo/bar.test.js`
We use the [ava][ava] test runner. You should be able to run the
unit test by executing:

```bash
npm test
```

[ava]: https://github.com/avajs/ava

Code style
----------

We follow the [Airbnb style guide][airbnb-style-guide] for the
javascript code base. We’re using [eslint][eslint] and
[prettier][prettier] to enforce this style guide. Please run your
changes through the formatters and linters before submitting.

```bash
npm run pretty
npm run lint
```

Alternatively you can setup your editor to auto format your javascript
files, along with highlighting any lint errors and warnings.

[airbnb-style-guide]: https://github.com/airbnb/javascript
[eslint]: http://eslint.org/
[prettier]: https://github.com/prettier/prettier
