qstack-client
=============

[![npm package][npm-package.svg]][npm-package]
[![api documentation][api-docs.svg]][api-docs]
[![build status][build-status.svg]][build-status]
[![coverage report][coverage-report.svg]][coverage-report]
[![flow coverage report][flow-coverage-report.svg]][flow-coverage-report]
[![styled with prettier][prettier.svg]][prettier]

> A node.js client for all qstack methods.

[api-docs]: http://artifacts.greenqloud.com/qstack-client/docs/
[api-docs.svg]: http://artifacts.greenqloud.com/badges/documentation/api/qstack-client.svg
[build-status]: https://git.greenqloud.com/greenqloud/qstack-client/pipelines
[build-status.svg]: https://git.greenqloud.com/greenqloud/qstack-client/badges/master/build.svg
[coverage-report]: http://artifacts.greenqloud.com/qstack-client/coverage
[coverage-report.svg]: https://git.greenqloud.com/greenqloud/qstack-client/badges/master/coverage.svg
[flow-coverage-report]: http://artifacts.greenqloud.com/qstack-client/flow-coverage
[flow-coverage-report.svg]: http://artifacts.greenqloud.com/qstack-client/flow-coverage/flow-coverage.svg
[npm-package]: http://npm.greenqloud.com/#/detail/qstack-client
[npm-package.svg]: http://artifacts.greenqloud.com/badges/npm/v/qstack-client.svg
[prettier.svg]: https://img.shields.io/badge/styled_with-prettier-ff69b4.svg
[prettier]: https://github.com/prettier/prettier

Installation
------------

```bash
npm install --save qstack-client --registry http://npm.greenqloud.com
```

If all you want is the CLI you should install globally (you need node
8 or higher to use this):

```bash
npm install -g qstack-client --registry http://npm.greenqloud.com
```


Usage
-----

```js
import qstack from 'qstack-client';

qstack
  .nfs({ apiKey, secretKey, url })
  .volumes.list()
  .then(volumes => console.log(volumes));
```

Or on the command line:

```bash
qstack login qstack.example.com
qstack nfs volumes list
```


API
---

See the [API documentation][api-docs] or run `qstack help` on the
command line.


Build
-----

```bash
git clone git.greenqloud.com/greenqloud/qstack-client
cd qstack-client
npm install
```


Test
----

```bash
npm test
```


Contributing
------------

See [CONTRIBUTING.md](CONTRIBUTING.md).
