"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = account;

var _logger = _interopRequireDefault(require("../../logger"));

var _gqConsole = _interopRequireDefault(require("../../service/gq-console"));

var _keys = _interopRequireDefault(require("./keys"));

var _password = _interopRequireDefault(require("./password"));

var _profile = require("./profile");

var _projects = _interopRequireDefault(require("./projects"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function account(conf) {
  _logger.default.silly(`Account conf=${JSON.stringify(conf)}`);

  function call(method, command, data) {
    return (0, _gqConsole.default)(conf, method, command, data);
  }

  if (conf.legacy) {
    return {
      keys: (0, _keys.default)(conf),
      password: (0, _password.default)(call),
      profile: (0, _profile.gqConsoleProfile)(call),
      projects: (0, _projects.default)(call)
    };
  }

  return {
    keys: (0, _keys.default)(conf),
    password: (0, _password.default)(call),
    profile: (0, _profile.profile)(call),
    projects: (0, _projects.default)(call)
  };
}