"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = keys;

var _gqConsole = _interopRequireDefault(require("../../service/gq-console"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function keys({
  url
}) {
  async function get({
    username,
    password
  }) {
    const result = await (0, _gqConsole.default)({
      url,
      apiKey: username,
      secretKey: password
    }, 'GET', 'account-keys', {
      auth: true
    });
    return {
      apiKey: result.api_public_key,
      secretKey: result.api_private_key
    };
  }

  return {
    get
  };
}