"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = password;

/**
 * Manage your password.
 */
function password(call) {
  return {
    async change({
      newPassword,
      oldPassword
    }) {
      await call('POST', 'account/change_password', {
        data: {
          old_password: oldPassword,
          password1: newPassword
        }
      });
      return newPassword;
    },

    async reset(email) {
      await call('POST', 'account/password_reset_request', {
        data: {
          email
        }
      });
      return email;
    }

  };
}