"use strict";

var _ava = _interopRequireDefault(require("ava"));

var _sinon = require("sinon");

var _password = _interopRequireDefault(require("./password"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

(0, _ava.default)('change()', async t => {
  const caller = (0, _sinon.fake)();
  const {
    change
  } = (0, _password.default)(caller);
  t.is((await change({
    newPassword: 'new',
    oldPassword: 'old'
  })), 'new');
  t.true(caller.calledWith('POST', 'account/change_password', {
    data: {
      old_password: 'old',
      password1: 'new'
    }
  }));
});
(0, _ava.default)('reset()', async t => {
  const caller = (0, _sinon.fake)();
  const {
    reset
  } = (0, _password.default)(caller);
  t.is((await reset('iForget@example.com')), 'iForget@example.com');
  t.true(caller.calledWith('POST', 'account/password_reset_request', {
    data: {
      email: 'iForget@example.com'
    }
  }));
});