"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = projects;

/**
 * A description of a project.
 */

/**
 * Project API keys.
 */

/**
 * Explore the projects you belong to.
 */
function into(project) {
  return {
    id: project.id,
    active: project.active,
    name: project.group_name,
    displayName: project.display_name,
    description: project.description,
    projectId: project.project_id,
    created: new Date(project.date_created),
    type: project.source,
    subscriptionNumber: project.subscription_number,
    productCode: project.product_code
  };
}

function projects(call) {
  async function list(id) {
    if (id) {
      const project = await call('GET', `user-projects/${id}`);
      return into(project);
    }

    const {
      objects
    } = await call('GET', 'user-projects');
    return objects.map(into);
  }

  async function keys(id) {
    const {
      name
    } = await list(id);
    const {
      api_public_key: apiKey,
      api_private_key: secretKey
    } = await call('GET', 'account-keys/get_project_keys', {
      params: {
        groupName: name,
        groupId: id
      }
    });
    return {
      apiKey,
      secretKey
    };
  }

  return {
    list,
    keys
  };
}