"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = admin;

var _logger = _interopRequireDefault(require("../../logger"));

var _gqConsole = _interopRequireDefault(require("../../service/gq-console"));

var _departments = _interopRequireDefault(require("./departments"));

var _projects = _interopRequireDefault(require("./projects"));

var _users = require("./users");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function admin(conf) {
  _logger.default.silly(`Admin conf=${JSON.stringify(conf)}`);

  function call(method, command, data) {
    return (0, _gqConsole.default)(conf, method, command, data);
  }

  if (conf.legacy) {
    return {
      departments: (0, _departments.default)(call),
      projects: (0, _projects.default)(call),
      users: (0, _users.gqConsoleUsers)(call)
    };
  }

  return {
    departments: (0, _departments.default)(call),
    projects: (0, _projects.default)(call),
    users: (0, _users.users)(call)
  };
}