"use strict";

var _ava = _interopRequireDefault(require("ava"));

var _sinon = require("sinon");

var _dataBrokers = _interopRequireDefault(require("./data-brokers"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const UUID_1 = '9760acf5-4638-11e7-9bdb-020073ca7773';
const dataBrokersStub = (0, _sinon.stub)();
const {
  create,
  list,
  delete: remove
} = (0, _dataBrokers.default)(dataBrokersStub);
dataBrokersStub.withArgs('GET', 'data-brokers').resolves([{
  name: 'all entries'
}]);
const createStub = dataBrokersStub.withArgs('POST', 'data-brokers').resolves({
  name: 'new entry'
});
dataBrokersStub.withArgs('DELETE', `data-brokers/${UUID_1}`).resolves({
  status: 'deleted'
});
(0, _ava.default)('list()', async t => {
  t.deepEqual((await list()), [{
    name: 'all entries'
  }]);
});
(0, _ava.default)('create(values)', async t => {
  t.deepEqual((await create({
    name: 'foo'
  })), {
    name: 'new entry'
  });
  t.deepEqual(createStub.firstCall.args[2], {
    name: 'foo'
  });
});
(0, _ava.default)('remove(id)', async t => {
  t.deepEqual((await remove(UUID_1)), {
    status: 'deleted'
  });
});