"use strict";

var _ava = _interopRequireDefault(require("ava"));

var _sinon = require("sinon");

var _nfs = _interopRequireDefault(require("./nfs"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const UUID_1 = '9760acf5-4638-11e7-9bdb-020073ca7773';
const nfsStub = (0, _sinon.stub)();
const {
  exports: _exports,
  folders
} = (0, _nfs.default)(nfsStub);
nfsStub.withArgs('GET', `data-brokers/${UUID_1}/list-nfs-exports`).resolves([{
  name: 'exports'
}]);
nfsStub.withArgs('GET', `data-brokers/${UUID_1}/list-nfs-export-folders`).resolves([{
  name: 'folders'
}]);
(0, _ava.default)('exports()', async t => {
  t.deepEqual((await _exports(UUID_1, {
    host: 'foo'
  })), [{
    name: 'exports'
  }]);
});
(0, _ava.default)('folders()', async t => {
  t.deepEqual((await folders(UUID_1, {
    exportName: 'bar',
    host: 'foo',
    path: 'meh'
  })), [{
    name: 'folders'
  }]);
});