"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = relationships;

/**
 * Parameters passed while creating relationship data.
 */

/**
 * Parameters passed while updating relationship data.
 */

/**
 * Relationships API
 */
function relationships(call) {
  return {
    list(id) {
      if (id) {
        return call('GET', `relationships-v2/${id}`);
      }

      return call('GET', 'relationships-v2');
    },

    create(values) {
      return call('POST', 'relationships-v2', values);
    },

    update(id, values) {
      return call('PUT', `relationships/${id}/sync-schedule`, values);
    },

    sync(id) {
      return call('PUT', `relationships/${id}/sync`, {});
    },

    abort(id) {
      return call('PUT', `relationships/${id}/abort`, {});
    },

    delete(id) {
      return call('DELETE', `relationships/${id}`);
    }

  };
}