"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = activeDirectory;

/**
 * A description of an  IP range.
 */

/**
 * Parameters passed while creating active directory data.
 */

/**
 * Parameters passed while updating active directory data.
 */

/**
 * Show your  IP ranges.
 */
function into(item) {
  return {
    id: item.UUID,
    domain: item.domain,
    dns: item.DNS,
    netbios: item.netBIOS,
    organizationalUnit: item.organizationalUnit,
    password: item.password,
    region: item.region,
    status: item.status,
    username: item.username,
    created: new Date(item.createdAt),
    updated: new Date(item.updatedAt)
  };
}

function activeDirectory(call) {
  return {
    async list() {
      return (await call('GET', 'Storage/ActiveDirectory')).map(into);
    },

    async create(values) {
      return into((await call('POST', 'Storage/ActiveDirectory', values)));
    },

    async update(id, values) {
      return into((await call('PUT', `Storage/ActiveDirectory/${id}`, values)));
    },

    delete(id) {
      return call('DELETE', `Storage/ActiveDirectory/${id}`);
    }

  };
}