"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.into = into;
exports.default = ipRanges;

/**
 * A description of an IP range.
 */

/**
 * Show your IP ranges.
 */
function into(ipRange) {
  return {
    id: ipRange.UUID,
    ip: {
      start: ipRange.startIP,
      end: ipRange.endIP
    },
    gateway: ipRange.gateway,
    netmask: ipRange.netmask,
    vlan: ipRange.vlan || null,
    account: {
      id: ipRange.accountUUID,
      name: ipRange.accountName
    },
    region: {
      id: ipRange.regionUUID,
      name: ipRange.regionName
    },
    created: new Date(ipRange.createdAt),
    updated: new Date(ipRange.updatedAt)
  };
}

function ipRanges(call) {
  return {
    async list() {
      return (await call('GET', 'Storage/IPRanges')).map(into);
    }

  };
}