"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = networks;

var _jobs = require("./utils/jobs");

function networks(call) {
  function intoAsync(response) {
    return {
      value: response,

      finish(sideEffect, interval, timeout, interrupt) {
        return Promise.all(response.jobs.map(job => (0, _jobs.finish)(call, job.jobId, sideEffect, interval, timeout, interrupt)));
      }

    };
  }

  return {
    async list() {
      return call('GET', 'Networks');
    },

    async create(values) {
      return call('POST', 'Networks', values);
    },

    async restore() {
      return intoAsync((await call('PATCH', 'Networks/Restore')));
    },

    async abort() {
      return intoAsync((await call('PATCH', 'Networks/Abort')));
    }

  };
}