"use strict";

var _ava = _interopRequireDefault(require("ava"));

var _sinon = require("sinon");

var _regions = _interopRequireDefault(require("./regions"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const UUID_1 = 'a5bc73c5-5ebb-4738-a987-d58b557bf60c';
const UUID_2 = 'a5bc73c5-5ebb-4738-a987-d58b557bf60d';
const CREATED = '2018-01-01T00:00:00.000Z';
const UPDATED = '2018-02-02T09:19:10.000Z';
const MOCK_REGIONS = [{
  UUID: UUID_1,
  name: 'West US',
  createdAt: CREATED,
  updatedAt: UPDATED
}, {
  UUID: UUID_2,
  name: 'East US',
  createdAt: CREATED,
  updatedAt: UPDATED
}];
const regionStub = (0, _sinon.stub)();
const {
  list
} = (0, _regions.default)(regionStub);
regionStub.withArgs('GET', `Storage/Regions`).resolves(MOCK_REGIONS);
(0, _ava.default)('list()', async t => {
  t.deepEqual((await list()), [{
    id: UUID_1,
    name: 'West US',
    created: new Date(CREATED),
    updated: new Date(UPDATED)
  }, {
    id: UUID_2,
    name: 'East US',
    created: new Date(CREATED),
    updated: new Date(UPDATED)
  }]);
});