"use strict";

var _ava = _interopRequireDefault(require("ava"));

var _sinon = require("sinon");

var _serviceLevels = _interopRequireDefault(require("./service-levels"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const NAME_1 = 'basic';
const NAME_2 = 'standard';
const PERFORMANCE_1 = 'low';
const PERFORMANCE_2 = 'medium';
const MOCK_SERVICE_LEVELS = [{
  name: NAME_1,
  performance: PERFORMANCE_1
}, {
  name: NAME_2,
  performance: PERFORMANCE_2
}];
const serviceLevelStub = (0, _sinon.stub)();
const {
  list
} = (0, _serviceLevels.default)(serviceLevelStub);
serviceLevelStub.withArgs('GET', `Storage/ServiceLevels`).resolves(MOCK_SERVICE_LEVELS);
(0, _ava.default)('list()', async t => {
  t.deepEqual((await list()), [{
    name: NAME_1,
    performance: PERFORMANCE_1
  }, {
    name: NAME_2,
    performance: PERFORMANCE_2
  }]);
});