"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = zones;

/**
 * Description of a zone.
 */

/**
 * Show your available zones.
 */
function into(zone) {
  return {
    id: zone.UUID,
    name: zone.name,
    region: {
      id: zone.regionUUID,
      name: zone.regionName
    },
    timezone: zone.timezone || 'Unspecified',
    created: new Date(zone.createdAt),
    updated: new Date(zone.updatedAt)
  };
}

function zones(call) {
  return {
    async list() {
      return (await call('GET', 'Storage/Zones')).map(into);
    }

  };
}