"use strict";

var _ava = _interopRequireDefault(require("ava"));

var _sinon = require("sinon");

var _zones = _interopRequireDefault(require("./zones"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const UUID_1 = '6bd46578-e92b-42c6-8ef9-1672894d891a';
const UUID_2 = '6bd46578-e92b-42c6-8ef9-1672894d891b';
const REGION_UUID = 'a5bc73c5-5ebb-4738-a987-d58b557bf60c';
const REGION_NAME = 'West US';
const CREATED = '2018-01-01T00:00:00.000Z';
const UPDATED = '2018-02-02T09:19:10.000Z';
const MOCK_ZONES = [{
  UUID: UUID_1,
  name: 'us-west-1a',
  regionName: REGION_NAME,
  regionUUID: REGION_UUID,
  timezone: 'UTC-0',
  createdAt: CREATED,
  updatedAt: UPDATED
}, {
  UUID: UUID_2,
  name: 'us-west-1b',
  regionName: REGION_NAME,
  regionUUID: REGION_UUID,
  createdAt: CREATED,
  updatedAt: UPDATED
}];
const zoneStub = (0, _sinon.stub)();
const {
  list
} = (0, _zones.default)(zoneStub);
zoneStub.withArgs('GET', `Storage/Zones`).resolves(MOCK_ZONES);
(0, _ava.default)('list()', async t => {
  t.deepEqual((await list()), [{
    id: UUID_1,
    name: 'us-west-1a',
    region: {
      id: REGION_UUID,
      name: REGION_NAME
    },
    timezone: 'UTC-0',
    created: new Date(CREATED),
    updated: new Date(UPDATED)
  }, {
    id: UUID_2,
    name: 'us-west-1b',
    region: {
      id: REGION_UUID,
      name: REGION_NAME
    },
    timezone: 'Unspecified',
    created: new Date(CREATED),
    updated: new Date(UPDATED)
  }]);
});