"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = storage;

var _network = _interopRequireDefault(require("../../service/network"));

var _logger = _interopRequireDefault(require("../../logger"));

var _networks = _interopRequireDefault(require("./networks"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * Manage NFS CVN resources.
 *
 * @example
 *
 * import network from 'qstack-client/api/network';
 *
 * const conf = {
 *   apiKey: 'api-key',
 *   secretKey: 'secret-key',
 *   url: 'http://network.example.com',
 * };
 *
 * network(conf).networks.list();
 */
function storage(conf) {
  _logger.default.silly(`CVN conf=${JSON.stringify(conf)}`);

  function call(method, command, data) {
    return (0, _network.default)(conf, method, command, data);
  }

  return {
    networks: (0, _networks.default)(call)
  };
}