"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = clusters;

/**
 * A description of a storage cluster.
 */

/**
 * Parameters passed when creating storage cluster.
 */

/**
 * Parameters passed when updating storage cluster.
 */

/**
 * Manage storage stamps.
 */
function into(cluster) {
  return {
    id: cluster.uuid,
    name: cluster.name,
    zone: {
      id: cluster.zoneUUID,
      name: cluster.zoneName
    },
    vendorId: cluster.vendorID || null,
    created: new Date(cluster.createdAt),
    updated: new Date(cluster.updatedAt),
    deleted: cluster.deletedAt && new Date(cluster.deletedAt) || null
  };
}

function clusters(call) {
  return {
    async list() {
      return (await call('GET', 'cluster')).map(into);
    },

    async create(values) {
      return into((await call('POST', `cluster`, values)));
    },

    async update(id, values) {
      return into((await call('PUT', `cluster/${id}`, values)));
    },

    async delete(id) {
      return call('DELETE', `cluster/${id}`);
    }

  };
}