"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = networkSwitches;

/**
 * A description of a network switch.
 */

/**
 * Parameters passed when creating a network switch.
 */

/**
 * Parameters passed when updating a network switch.
 */

/**
 * Manage network switches.
 */
function into(networkSwitch) {
  return {
    id: networkSwitch.uuid,
    name: networkSwitch.name,
    host: networkSwitch.host,
    username: networkSwitch.username,
    password: networkSwitch.password,
    model: networkSwitch.model,
    osiLayer: networkSwitch.osiLayer,
    isPrimary: networkSwitch.isPrimary,
    clusterId: networkSwitch.clusterUUID,
    caCert: networkSwitch.caCert,
    created: new Date(networkSwitch.createdAt),
    updated: new Date(networkSwitch.updatedAt),
    deleted: networkSwitch.deletedAt && new Date(networkSwitch.deletedAt) || null
  };
}

function networkSwitches(call) {
  return {
    async list() {
      return (await call('GET', 'networkswitch')).map(into);
    },

    async create(values) {
      return into((await call('POST', `networkswitch`, values)));
    },

    async update(id, values) {
      return into((await call('PUT', `networkswitch/${id}`, values)));
    },

    async delete(id) {
      return call('DELETE', `networkswitch/${id}`);
    }

  };
}