"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = nodes;

/**
 * A description of a storage node.
 */

/**
 * Manage storage nodes.
 */
function into(node) {
  return {
    id: node.uuid,
    name: node.name,
    host: {
      id: node.hostUUID,
      name: node.hostName
    },
    created: new Date(node.createdAt),
    updated: new Date(node.updatedAt),
    deleted: node.deletedAt && new Date(node.deletedAt) || null
  };
}

function nodes(call) {
  return {
    async list() {
      return (await call('GET', 'node')).map(into);
    }

  };
}