"use strict";

var _ava = _interopRequireDefault(require("ava"));

var _sinon = require("sinon");

var _nodes = _interopRequireDefault(require("./nodes"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const UUID_1 = '5b0bc699-86b5-4882-f3e9-9bc1912fbc41';
const UUID_2 = '5b0bc699-86b5-4882-f3e9-9bc1912fbc42';
const NAME_1 = 'foo';
const NAME_2 = 'bar';
const CREATED = '2018-01-01T00:00:00.000Z';
const UPDATED = '2018-02-02T09:19:10.000Z';
const DELETED = '2018-02-03T10:10:20.000Z';
const MOCK_NODES = [{
  uuid: UUID_1,
  name: NAME_1,
  hostUUID: 'host_uuid_1',
  hostName: 'host_name_1',
  createdAt: CREATED,
  updatedAt: UPDATED
}, {
  uuid: UUID_2,
  name: NAME_2,
  hostUUID: 'host_uuid_2',
  hostName: 'host_name_2',
  createdAt: CREATED,
  updatedAt: UPDATED,
  deletedAt: DELETED
}];
const nodesStub = (0, _sinon.stub)();
const {
  list
} = (0, _nodes.default)(nodesStub);
nodesStub.withArgs('GET', `node`).resolves(MOCK_NODES);
(0, _ava.default)('list()', async t => {
  t.deepEqual((await list()), [{
    id: UUID_1,
    name: NAME_1,
    host: {
      id: 'host_uuid_1',
      name: 'host_name_1'
    },
    created: new Date(CREATED),
    updated: new Date(UPDATED),
    deleted: null
  }, {
    id: UUID_2,
    name: NAME_2,
    host: {
      id: 'host_uuid_2',
      name: 'host_name_2'
    },
    created: new Date(CREATED),
    updated: new Date(UPDATED),
    deleted: new Date(DELETED)
  }]);
});