"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = regions;

/**
 * A description of a storage region.
 */

/**
 * Parameters passed when creating storage region.
 */

/**
 * Parameters passed when updating storage region.
 */

/**
 * Manage storage regions.
 */
function into(region) {
  return {
    id: region.uuid,
    name: region.name,
    created: new Date(region.createdAt),
    updated: new Date(region.updatedAt),
    deleted: region.deletedAt && new Date(region.deletedAt) || null
  };
}

function regions(call) {
  return {
    async list() {
      return (await call('GET', 'region')).map(into);
    },

    async create(values) {
      return into((await call('POST', `region`, values)));
    },

    async update(id, values) {
      return into((await call('PUT', `region/${id}`, values)));
    },

    async delete(id) {
      return call('DELETE', `region/${id}`);
    }

  };
}