"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = serviceAccounts;

/**
 * A description of a service account.
 */

/**
 * Parameters passed when creating a service account.
 */

/**
 * Parameters passed when updating a storage account.
 */

/**
 * Manage service accounts.
 */
function into(serviceAccount) {
  return {
    id: serviceAccount.uuid,
    name: serviceAccount.name,
    hyperscaler: serviceAccount.hyperscaler,
    credentials: serviceAccount.credentials,
    region: {
      id: serviceAccount.regionUUID,
      name: serviceAccount.regionName
    },
    created: new Date(serviceAccount.createdAt),
    updated: new Date(serviceAccount.updatedAt),
    deleted: serviceAccount.deletedAt && new Date(serviceAccount.deletedAt) || null
  };
}

function serviceAccounts(call) {
  return {
    async list() {
      return (await call('GET', 'serviceaccount')).map(into);
    },

    async create(values) {
      return into((await call('POST', `serviceaccount`, values)));
    },

    async update(id, values) {
      return into((await call('PUT', `serviceaccount/${id}`, values)));
    },

    async delete(id) {
      return call('DELETE', `serviceaccount/${id}`);
    }

  };
}