"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = stamps;

/**
 * A description of a storage stamp.
 */

/**
 * Parameters passed when creating storage stamp.
 */

/**
 * Parameters passed when updating storage stamp.
 */

/**
 * Manage storage stamps.
 */
function into(stamp) {
  return {
    id: stamp.uuid,
    name: stamp.name,
    cluster: {
      id: stamp.clusterUUID,
      name: stamp.clusterName
    },
    vendorId: stamp.vendorID || null,
    created: new Date(stamp.createdAt),
    updated: new Date(stamp.updatedAt),
    deleted: stamp.deletedAt && new Date(stamp.deletedAt) || null
  };
}

function stamps(call) {
  return {
    async list() {
      return (await call('GET', 'stamp')).map(into);
    },

    async create(values) {
      return into((await call('POST', `stamp`, values)));
    },

    async update(id, values) {
      return into((await call('PUT', `stamp/${id}`, values)));
    },

    async delete(id) {
      return call('DELETE', `stamp/${id}`);
    }

  };
}