"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = storageVMs;

/**
 * A description of a storage virtual machine.
 */

/**
 * Manage storage virtual machines.
 */
function into(storageVM) {
  return {
    id: storageVM.uuid,
    name: storageVM.name,
    host: {
      id: storageVM.hostUUID,
      name: storageVM.hostName
    },
    account: {
      id: storageVM.accountUUID,
      name: storageVM.accountName
    },
    created: new Date(storageVM.createdAt),
    updated: new Date(storageVM.updatedAt),
    deleted: storageVM.deletedAt && new Date(storageVM.deletedAt) || null
  };
}

function storageVMs(call) {
  return {
    async list() {
      return (await call('GET', 'svm')).map(into);
    }

  };
}