"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = zones;

/**
 * A description of a storage zone.
 */

/**
 * Parameters passed when creating storage zone.
 */

/**
 * Parameters passed when updating storage zone.
 */

/**
 * Manage storage zones.
 */
function into(zone) {
  return {
    id: zone.uuid,
    name: zone.name,
    timezone: zone.timezone,
    region: {
      id: zone.regionUUID,
      name: zone.regionName
    },
    vendorId: zone.vendorID || null,
    created: new Date(zone.createdAt),
    updated: new Date(zone.updatedAt),
    deleted: zone.deletedAt && new Date(zone.deletedAt) || null
  };
}

function zones(call) {
  return {
    async list() {
      return (await call('GET', 'zone')).map(into);
    },

    async create(values) {
      return into((await call('POST', `zone`, values)));
    },

    async update(id, values) {
      return into((await call('PUT', `zone/${id}`, values)));
    },

    async delete(id) {
      return call('DELETE', `zone/${id}`);
    }

  };
}