"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
Object.defineProperty(exports, "account", {
  enumerable: true,
  get: function () {
    return _account.default;
  }
});
Object.defineProperty(exports, "subscription", {
  enumerable: true,
  get: function () {
    return _subscription.default;
  }
});
Object.defineProperty(exports, "admin", {
  enumerable: true,
  get: function () {
    return _admin.default;
  }
});
Object.defineProperty(exports, "cloudSync", {
  enumerable: true,
  get: function () {
    return _cloudSync.default;
  }
});
Object.defineProperty(exports, "cloudVolumes", {
  enumerable: true,
  get: function () {
    return _cloudVolumes.default;
  }
});
Object.defineProperty(exports, "storage", {
  enumerable: true,
  get: function () {
    return _storage.default;
  }
});
Object.defineProperty(exports, "network", {
  enumerable: true,
  get: function () {
    return _network.default;
  }
});
exports.default = void 0;

var _account = _interopRequireDefault(require("./api/account"));

var _subscription = _interopRequireDefault(require("./api/subscription"));

var _admin = _interopRequireDefault(require("./api/admin"));

var _cloudSync = _interopRequireDefault(require("./api/cloud-sync"));

var _cloudVolumes = _interopRequireDefault(require("./api/cloud-volumes"));

var _storage = _interopRequireDefault(require("./api/storage"));

var _network = _interopRequireDefault(require("./api/network"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * The default export. Use this to access all available qstack
 * methods.
 *
 * @example
 *
 * import qstack from 'qstack-client';
 *
 * const nfsConf = {
 *   apiKey: 'api-key',
 *   secretKey: 'secret-key',
 *   url: 'http://nfs.example.com',
 * };
 *
 * const storageConf = {
 *   apiKey: 'admin-api-key',
 *   secretKey: 'admin-secret-key',
 *   url: 'http://storage.example.com',
 * };
 *
 * // List your personal volumes.
 * qstack.nfs(nfsConf).volumes.list();
 *
 * // List all volumes on the storage server.
 * qstack.storage(storageConf).volumes.list();
 */
const qstack = {
  subscription: _subscription.default,
  account: _account.default,
  admin: _admin.default,
  cloudSync: _cloudSync.default,
  cloudVolumes: _cloudVolumes.default,
  storage: _storage.default,
  network: _network.default
};
var _default = qstack;
exports.default = _default;