"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getLogLevel = getLogLevel;
exports.default = exports.transports = void 0;

var _winston = _interopRequireDefault(require("winston"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function getLogLevel(logLevel) {
  if (!logLevel) {
    return 'error';
  }

  if (['error', 'warn', 'info', 'verbose', 'debug', 'silly'].includes(logLevel)) {
    return logLevel;
  }

  return 'error';
}

const level = getLogLevel(process.env.LOG_LEVEL);
const transports = {
  // $FlowFixMe
  console: new _winston.default.transports.Console({
    level
  })
}; // $FlowFixMe

exports.transports = transports;

const logger = _winston.default.createLogger({
  transports: [transports.console]
});

var _default = logger;
exports.default = _default;