Qstack Crypto
=============

[![build status][build-status.svg]][build-status]
[![coverage report][coverage-report.svg]][coverage-report]

> The javascript implementation of the qstack’s crypto algorithms

[build-status]: https://git.greenqloud.com/greenqloud/qstack-crypto/pipelines
[build-status.svg]: https://git.greenqloud.com/greenqloud/qstack-crypto/badges/master/build.svg
[coverage-report]: http://artifacts.greenqloud.com/qstack-crypto/javascript/coverage
[coverage-report.svg]: https://git.greenqloud.com/greenqloud/qstack-crypto/badges/master/coverage.svg

Install
-------

```bash
npm install --save --registry npm.greenqloud.com
```

Usage
-----

### Encryption ###

```js
import { encryption } from 'qstack-crypto';

const crypter = new encryption.SecretsHandler();
const passphrase = 'keeper of secrets';
const payload = 'this is a secret';
const encrypted = crypter.encrypt(passphrase, payload);
```

### Decryption ###

```js
import { encryption } from 'qstack-crypto';

const crypter = new encryption.SecretsHandler();
const passphrase = 'keeper of secrets';
const payload = 'V1:5oDytY7ZjZU=:9rCvjE92O40PHurEb2pTvQ==:3G2JBuzOK7XZGlgRfSacYUL1zfTMiWI3GHeh+6E507k=';
const decrypted = crypter.decrypt(passphrase, payload);
```
